net.corda.node.utilities

## Class ANSIProgressObserver

- net.corda.node.utilities.ANSIProgressObserver

-     public class ANSIProgressObserver

  This observes the `class StateMachineManager` and follows the progress of `class FlowLogic`s until they complete in the order they are added to the `class StateMachineManager`.

  See Also:
    `class StateMachineManager`, `class FlowLogic`, `class StateMachineManager`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ANSIProgressObserver(StateMachineManager smm)` This observes the `class StateMachineManager` and follows the progress of `class FlowLogic`s until they complete in the order they are added to the `class StateMachineManager`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineManager` | `getSmm()`

- - ### Constructor Detail

    - #### ANSIProgressObserver

          public ANSIProgressObserver(StateMachineManager smm)

      This observes the `class StateMachineManager` and follows the progress of `class FlowLogic`s until they complete in the order they are added to the `class StateMachineManager`.

      See Also:
        `class StateMachineManager`, `class FlowLogic`, `class StateMachineManager`

  - ### Method Detail

    - #### getSmm

          public StateMachineManager getSmm()